@tailwind base;
@tailwind components;
@tailwind utilities;

html {
  font-size: 13px;
  font-family: "Inter", sans-serif;
  @apply text-gray-800;
}

@media screen and (min-width: 640px) {
  html {
    font-size: 14px;
  }
}

@media screen and (min-width: 768px) {
  html {
    font-size: 15px;
  }
}

.rich-text-hero a {
  @apply text-blue-600 underline;
}

.rich-text p {
  @apply mb-4;
}

.rich-text-banner {
  @apply whitespace-pre-line;
}

.title {
  @apply text-4xl font-black leading-snug sm:text-5xl;
}

.title-small {
  @apply text-2xl font-semibold leading-snug sm:text-3xl md:text-4xl;
}

.with-arrow:after {
  background-image: url(data:image/svg+xml;charset=utf-8,%3Csvg%20fill%3D%22none%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath%20d%3D%22M1%206a.5.5%200%200%200%200%201V6zM12.854.646a.5.5%200%200%200-.708.708l.708-.708zM18%206.5l.354.354a.5.5%200%200%200%200-.708L18%206.5zm-5.854%205.146a.5.5%200%200%200%20.708.708l-.708-.708zM1%207h16.5V6H1v1zm16.646-.854l-5.5%205.5.708.708%205.5-5.5-.708-.708zm-5.5-4.792l2.75%202.75.708-.708-2.75-2.75-.708.708zm2.75%202.75l2.75%202.75.708-.708-2.75-2.75-.708.708z%22%20fill%3D%22%231264A3%22%2F%3E%3C%2Fsvg%3E);
  content: "";
  width: 19px;
  height: 13px;
  display: inline-block;
  margin-left: 0.5em;
}

.hide-scroll-bar {
  -ms-overflow-style: none;
  scrollbar-width: none;
  scroll-snap-type: x proximity;
}
.hide-scroll-bar:after,
.hide-scroll-bar:before {
  content: "";
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  height: calc(100% - 20px);
  position: absolute;
  z-index: 9;
  top: 0;
}
.hide-scroll-bar:before {
  left: 0;
  width: 25px;
  margin-right: auto;
  background: linear-gradient(
    to left,
    rgba(255, 255, 255, 0) 0,
    rgba(255, 255, 255, 0.7) 70%,
    #fff 70%
  );
}
@media (max-width: 768px) {
  .hide-scroll-bar:before {
    width: 15px;
  }
}
.hide-scroll-bar:after {
  right: 0;
  width: 125px;
  margin-left: auto;
  background: linear-gradient(
    to right,
    rgba(255, 255, 255, 0) 0,
    rgba(255, 255, 255, 0.7) 40%,
    #fff 70%
  );
}
@media (max-width: 768px) {
  .hide-scroll-bar:after {
    width: 70px;
  }
}
@media (max-width: 480px) {
  .hide-scroll-bar:after {
    width: 30px;
  }
}
.hide-scroll-bar.reverse:before {
  background: linear-gradient(
    to left,
    rgba(255, 255, 255, 0) 0,
    rgba(255, 255, 255, 0.7) 70%,
    #f8fafd 70%
  );
}
.hide-scroll-bar.reverse:after {
  background: linear-gradient(
    to right,
    rgba(255, 255, 255, 0) 0,
    rgba(255, 255, 255, 0.7) 40%,
    #f8fafd 70%
  );
}
.hide-scroll-bar::-webkit-scrollbar {
  display: none;
}

p a {
  @apply underline hover:opacity-90;
}

.slider-content-wrapper {
  display: inline-block;
  white-space: nowrap;
  overflow: hidden;
  animation: 40s linear 0s infinite normal none running carousel-animation;
}
.carousel-item {
  display: inline-block;
  padding: 0px 2.2rem;
  vertical-align: middle;
  opacity: 0.4;
  outline: none;
  cursor: default;
  transition: opacity 0.2s ease 0s;
}
.carousel-item:hover {
  opacity: 1;
}

@-webkit-keyframes carousel-animation {
  from {
    -webkit-transform: translate3d(0, 0, 0);
    -ms-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
  }
  to {
    -webkit-transform: translate3d(-50%, 0, 0);
    -ms-transform: translate3d(-50%, 0, 0);
    transform: translate3d(-50%, 0, 0);
  }
}

.social-links-container .fab {
  font-size: 20px;
}

.quote {
  font-size: 16px;
  line-height: 32px;
}

.tabs :not([data-selected]) {
  @apply text-gray-500 border-transparent hover:text-gray-700 hover:border-gray-300;
}
.tabs [data-selected] {
  @apply border-[#6E82AD] text-[#6E82AD];
}

.tabs [data-reach-tab] {
  @apply px-1 py-4 text-xl font-medium text-center border-b-2 border-gray-200 focus:outline-none focus:text-gray-700 focus:border-gray-700;
}

.text-base {
  font-size: 16px;
}

i {
  font-style: normal;
}
